<?php
/*

Title: Prix du cadeau
Description: Prix du cadeau en euros
Post Type: cadeau
Capability: administrator
Context: normal
Priority: high
Order: 1
Locked: true
Collapse: false


*/

// --------------- Création d'un champ text pour indiquer le prix

piklist( 'field',
				array(
					'type'        => 'text',
					'field'       => 'wptech_cadeau_prix_precis',
					'label'       => __( 'Prix en €' , 'texdomain' ),
					'help' 		  => __( 'Indiquer le prix en €. Rentrer uniquement un chiffre.' , 'texdomain' ),
					'attributes'  => array(
											'class' => 'wptech-reglages-interval-prix-precis',
					),
				)
);
 

// --------------- Création d'un champ select pour indiquer la fourchette de prix

piklist( 'field',
				array(
					'type'        => 'select',
					'field'       => 'wptech_cadeau_prix',
					'label'       => __( 'Interval de prix' , 'texdomain' ),
					'help' 		  => __( 'Indiquer dans quel interval de prix se situe le cadeau.' , 'texdomain' ),
					'attributes'  => array(
											'class' => 'wptech-reglages-interval-prix',
					),
					'choices'     => array(
											'10-50'     => '10-50 €',
											'50-100'    => '50-100 €',
											'100-150'   => '100-150 €'
					)
				)
);