<?php
/*

Title: Prix et Reste à payer
Description: Reste
Post Type: cadeau
Capability: editor
Context: side
Order: 1
Locked: true
Collapse: false


*/


// ---------------- Récupération du prix du cadeau et affichage

$wptech_cadeau_prix_precis = get_post_meta( $post->ID , 'wptech_cadeau_prix_precis' , true );
if ( !empty( $wptech_cadeau_prix_precis ) )
echo '<p>Prix du cadeau : ' . $wptech_cadeau_prix_precis . '€</p>';


// ---------------- Récupération des participations

$wptech_cadeau_participant = get_post_meta( $post->ID , 'wptech_cadeau_participant' , false );
$wptech_cadeau_participation_total = 0;
$wptech_cadeau_reste_a_payer = 0;


// ---------------- Calcul du reste à payer et affichage

if ( !empty( $wptech_cadeau_participant[0] ) ) {
	foreach ( $wptech_cadeau_participant[0]['wptech_cadeau_participant_amount'] as $key => $value ) {
		$wptech_cadeau_participation_total = $wptech_cadeau_participation_total + (int)$value;
	}
}

$wptech_cadeau_reste_a_payer = (int)$wptech_cadeau_prix_precis - (int)$wptech_cadeau_participation_total;

echo '<p>Reste à payer : ' . (string)$wptech_cadeau_reste_a_payer . '€</p>';


// ---------------- Alimentation d'un champ caché pour indiquer que le cadeau est offert

if ( (int)$wptech_cadeau_reste_a_payer <= 0 ) {
	piklist( 'field' , 
						array(
							'type'  => 'hidden',
							'scope' => 'post_meta',
							'field' => 'wptech_cadeau_offert',
							'value' => '1'
						)
	);
}