<?php
/*

Title: Participants
Description: Je participe à ce cadeau
Post Type: cadeau
Capability: editor
Context: normal
Priority: high
Order: 1
Locked: true
Collapse: false


*/


// --------------- Récupérer les users dans un tableau( ID => name )

$participants = array();
$args = array(
				'role'         => 'editor',
				'orderby'      => 'lastname',
				'order'        => 'ASC',

);
$participants_object = get_users( $args );

foreach ( $participants_object as $key => $value ) {
	$participants[ $value->ID ] = $value->data->display_name;
}


// --------------- Création d'un champ répétable contenant plusieurs champs

piklist( 'field' , 
	array(
		'type'     => 'group',
		'field'    => 'wptech_cadeau_participant',
		'label'    => __( 'Personne(s) participant à ce cadeau :' , 'texdomain' ) ,
		'columns'  => 12,
		'add_more' => true,
		'fields'   => 	array(
					        	array(
									'type'    => 'select',
									'field'   => 'wptech_cadeau_participant_name',
									'label'	  => __( 'Participant' , 'textdomain' ),
									'columns' => 8,
									'choices' => $participants			
					      		),
						        array(
									'type'       => 'text',
									'field'      => 'wptech_cadeau_participant_amount',
									'label'	  	 => __( 'Montant en €' , 'textdomain' ),
									'columns'    => 4,
									'attributes' => array(
						              					'placeholder' => __( 'Indiquer un chiffre uniquement.' , 'textdomain' )
						            				)
						        )
    					)
	)
);